summary refs log tree commit diff
path: root/.gitlab-ci
diff options
context:
space:
mode:
authorMichael Biebl <biebl@debian.org>2025-01-20 19:08:06 +0100
committerMichael Biebl <biebl@debian.org>2025-01-20 19:08:06 +0100
commit818258cf34b83fbc754633295e1052d4752d7b15 (patch)
treeaa45b6a831d6c0ee954b1a03891ad3da09349528 /.gitlab-ci
parente465722b908aa870bdc293b9a417d3c15294aa6d (diff)
New upstream version 1.50.2 upstream/1.50.2
Diffstat (limited to '.gitlab-ci')
-rw-r--r--.gitlab-ci/ci.template8
-rw-r--r--.gitlab-ci/config.yml42
-rwxr-xr-x.gitlab-ci/run-test.sh24
3 files changed, 41 insertions, 33 deletions
diff --git a/.gitlab-ci/ci.template b/.gitlab-ci/ci.template
index 208c3490..a804a2ee 100644
--- a/.gitlab-ci/ci.template
+++ b/.gitlab-ci/ci.template
@@ -16,7 +16,7 @@
 
 
 # see https://docs.gitlab.com/ee/ci/yaml/#includefile
-.templates_sha: &template_sha 98b1218f146a1ec96d65e3ce0041f9a6ec5cb5e6
+.templates_sha: &template_sha 593a0a5fe35a523a646a7efae5471c9759b8fba3
 
 {# Group distros by their common (name,) tuples.#}
 {% set distro_groups = [] %}
@@ -88,6 +88,7 @@ variables:
       - NetworkManager-1*.tar.xz
       - NetworkManager-1*.src.rpm
       - nm-test.log
+      - testlog.txt
 
 .nm_artifacts_debug:
   artifacts:
@@ -95,6 +96,7 @@ variables:
     when: always
     paths:
       - nm-test.log
+      - testlog.txt
 
 #################################################################
 #                                                               #
@@ -210,6 +212,10 @@ check-tree:
   needs:
     - "tier{{default_distro.tier}}:{{default_distro.name}}:{{default_distro.versions[0]}}@prep"
   rules:
+    - if: $CI_PIPELINE_SOURCE == 'merge_request_event' && $CI_MERGE_REQUEST_TARGET_BRANCH_NAME != $CI_DEFAULT_BRANCH
+      allow_failure: true
+    - if: $CI_PIPELINE_SOURCE == 'push' && $CI_COMMIT_BRANCH != $CI_DEFAULT_BRANCH
+      allow_failure: true
     - if: $CI_PIPELINE_SOURCE != 'schedule'
   stage: tier1
   script:
diff --git a/.gitlab-ci/config.yml b/.gitlab-ci/config.yml
index 05b19c1c..8b9fcac3 100644
--- a/.gitlab-ci/config.yml
+++ b/.gitlab-ci/config.yml
@@ -23,51 +23,39 @@ distributions:
   - name: fedora
     tier: 1
     versions:
-      - '40'
+      - '41'
 
   # TIER 2: distribution versions that will or might use the current NM version.
   # Run when doing a release.
-  - name: centos
-    tier: 2
-    versions:
-      - 'stream9'
-  - name: fedora
-    tier: 2
-    versions:
-      - rawhide
-  - name: debian
-    tier: 2
-    versions:
-      - sid
-      - testing
-  - name: ubuntu
-    tier: 2
-    versions:
-      - devel
   - name: alpine
     tier: 2
     versions:
-      - edge
-  
+      - '3.21'
+
   # TIER 3: distribution versions not in EOL but don't use the current NM version.
   # Run when doing a release, but a failure won't be blocking for the release.
   - name: fedora
     tier: 3
     versions:
-      - '39'
+      - '40'
   - name: ubuntu
     tier: 3
     versions:
-      - '20.04'
-      - '22.04'
+      - '24.10'
       - '24.04'
-      - 'rolling' # latest non-LTS
+      - '22.04'
+      - '20.04'
   - name: debian
     tier: 3
     versions:
-      - 'stable'
-      - 'oldstable'
+      - '12'
   - name: alpine
     tier: 3
     versions:
-      - 'latest'
+      - '3.20'
+      - '3.19'
+      - '3.18'
+  - name: centos
+    tier: 3
+    versions:
+      - 'stream9'
\ No newline at end of file
diff --git a/.gitlab-ci/run-test.sh b/.gitlab-ci/run-test.sh
index 4091cdd4..2008c189 100755
--- a/.gitlab-ci/run-test.sh
+++ b/.gitlab-ci/run-test.sh
@@ -106,22 +106,36 @@ check_run_clean() {
     return 0
 }
 
+die_with_testlog() {
+    mv ./build/meson-logs/testlog.txt ./testlog.txt
+    exit 1
+}
+
 if check_run_clean meson+gcc+docs+valgrind ; then
-    BUILD_TYPE=meson CC=gcc WITH_DOCS=1 WITH_VALGRIND=1 contrib/scripts/nm-ci-run.sh
+    BUILD_TYPE=meson CC=gcc WITH_DOCS=1 WITH_VALGRIND=1 contrib/scripts/nm-ci-run.sh || die_with_testlog
     mv INST/share/gtk-doc/html "$ARTIFACT_DIR/docs-html"
 fi
 
-check_run_clean meson+clang && BUILD_TYPE=meson CC=clang WITH_DOCS=0 contrib/scripts/nm-ci-run.sh
-check_run_clean rpm+meson && test $IS_FEDORA = 1 && ./contrib/fedora/rpm/build_clean.sh -g -w crypto_gnutls -w debug -w iwd -w test -w meson
+if check_run_clean meson+clang; then
+    BUILD_TYPE=meson CC=clang WITH_DOCS=0 contrib/scripts/nm-ci-run.sh || die_with_testlog
+fi
+
+if check_run_clean rpm+meson; then
+    if [[ $IS_FEDORA = 1 ]]; then
+        ./contrib/fedora/rpm/build_clean.sh -g -w crypto_gnutls -w debug -w iwd -w test -w meson || die_with_testlog
+    fi
+fi
 
 if check_run_clean tarball && [ "$NM_BUILD_TARBALL" = 1 ]; then
-    SIGN_SOURCE=0 ./contrib/fedora/rpm/build_clean.sh -r
+    SIGN_SOURCE=0 ./contrib/fedora/rpm/build_clean.sh -r || die_with_testlog
     mv ./build/meson-dist/NetworkManager-1*.tar.xz "$ARTIFACT_DIR/"
     mv ./contrib/fedora/rpm/latest/SRPMS/NetworkManager-1*.src.rpm "$ARTIFACT_DIR/"
     do_clean
 fi
 
-check_run_clean tarball+meson && BUILD_TYPE=meson CC=gcc WITH_DOCS=1 CONFIGURE_ONLY=1 contrib/scripts/nm-ci-run.sh
+if check_run_clean tarball+meson; then
+    BUILD_TYPE=meson CC=gcc WITH_DOCS=1 CONFIGURE_ONLY=1 contrib/scripts/nm-ci-run.sh || die_with_testlog
+fi
 
 ###############################################################################